
#include <TransformImpl.h>
#include <Transform.h>
#include "ucps2.h"
#include "ucpm2.h"



void TransformImpl(v16u32 * SVRReg,int *ConfigAddr, int InAddr, int OutAddr, int N, double* thita, int direct){


  	SVRReg[0] = (v16u32){0, 0, 0, 0,
  					0x40, 0, 0, 0,
  					0xff00ff, 0, 0, 0x0000,
  					0xffff, 0x6, 0, 0};

	volatile int a;
	 Transform((int)ConfigAddr,MPU_ADDR(InAddr),MPU_ADDR(OutAddr), N, thita, direct);
	 SVRReg[0][0] = MPU_ADDR(ConfigAddr);
	 if(N==2){
		 Transform2Asm(*SVRReg);
	 }
	 else if(N==4){
		 Transform4Asm(*SVRReg);
	 }
	 a = __ucps2_getStatB();
	 __ucps2_delay();

}
